





/* Publikus felület CSS - START */

.public .gridRowCellContainer a {
    color: #ff466c;
}


.leafletMarker {
    width: 30px;
    height: 30px;
    border-radius: 50% 50% 50% 0;
    background: #00578e;
    position: absolute;
    transform: rotate(-45deg);
    left: 50%;
    top: 50%;
    margin: -15px 0 0 -15px;
}

.public .leaflet-container a.leaflet-popup-close-button {
    position: absolute;
    top: -5px;
    right: -6px;
    padding: 6px 0px 0 0;
    border: none;
    text-align: center;
    width: 30px;
    height: 30px;
    font: 29px / 14px Tahoma, Verdana, sans-serif;
    color: #ffffff;
    text-decoration: none;
    font-weight: bold;
    background: transparent;
    background-color: #ff466c;
    border-radius: 100%;
}

.public .dummyButton.close {
    background-color: #ff466c;
}

.public .dummyButton {
    border-radius: 40px;
    color: #fff;
    padding: 14px 25px 14px 40px;
    line-height: 1.3em;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
    vertical-align: middle;
    border: none;
    overflow: hidden;
    margin: 4px 3px;
    font-family: inherit;
}

.public .mobileBlock .gridScrollContainer {
    border: 0;
}

.public .EFINev.cardFieldContainer.card.popup:before {
    display: none;
}

.public .EFINev.cardFieldContainer.card.popup {
    color: #00578e;
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 5px;
}

.public-area .gridTable .rowSelected .gridRowCellContainer.EFINev {
    color: #ff466c;
}



.public .EFIKeresoMain .gridRow {
    background-color: #f5f5f5 !important;
    border-top: 4px solid #00578e;
    display: flex;
    margin-bottom: 30px;
    flex-wrap: wrap;
    padding: 10px 0px;
    flex-direction: column;
    cursor: pointer;
}



.public .EFIKeresoMain .gridRow .EFINev {
    color: #00578e;
    width: 100%;
    max-width: unset;
    font-size: 20px;
    font-weight: bold;
}

.public .EFIKeresoMain .gridRow .EFINev:before {
    display: none;
}



.public .formComponentContainer.efiKereso.form.top form.formContainer {
    background-color: transparent;
    border: 0;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    padding: 30px 0;
}

.public .formComponentContainer.efiKereso.form.top .fieldsContainer {
    width: 100%;
}

.public .formComponentContainer.efiKereso.form.top .dummyButtonContainer {
    margin-left: -40px;
}

.public .formComponentContainer.efiKereso.form.top .undoValue {
    position: absolute;
    margin: 17px 0 0 15px;
}

.public .layoutContainer, .public .layoutComponentContainer {
    display: flex;
    flex-direction: column;
    height: unset;
    min-height: 700px;
}

.public .layoutMain.panel.leafletComponentContainer.leaflet.main {
    min-height: 700px;
}


.public .leaflet-popup-content {
    min-height: 150px;
/*    margin: 10px 25px 10px 15px;*/
}

.public .topbar {
    background-image: url(header_bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 0 20px;
    margin: 30px 0px 30px 0px;
}

.public img.logo-image {
    height: 74px;
    background-color: #fff;
    padding-right: 20px;
}


.public .logo {
    display: flex;
}

.public .title-text {
    color: #146497;
    font-weight: 600;
    font-size: 35px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 22px;
}



.public .dialog .formContainer {
    padding: 15px;
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 3;
    transform: translate(-50%, -50%);
    border-radius: 4px;
    min-width: 200px;
    text-align: center;
    background-color: #fff;
}

.public .dialog .formContainer .dummyButtonContainer {
    padding: 0;
    display: flex;
    justify-content: center;
    margin-top: 20px;
}


.public button.dummyButton.close:before {
    color: #fff;
    padding: 0 10px 0 10px;
    margin: 0 15px 0px -38px;
    content: "\f057";
}

.public .dummyToolbarContainer.grid.main {
    position: absolute;
    z-index: 999;
    margin-top: -85px;
    margin-left: 21px;
}

.public .xlsxExport.dummyToolbarButtonContainer.action {
    box-shadow: 0 0 10px #0000005e;
}

.public .selectFieldType.fieldContainer.select.rendezes {
    position: absolute;
    right: 72px;
}

.public .selectFieldType.fieldContainer.select.rendezes select {
    background-color: #0cbebb;
    color: #fff;
    border: none;
}



.public .selectFieldType.fieldContainer.select.rendezes label.formFieldCaption {
    display: none;
}

.public .selectFieldType.fieldContainer.select.rendezes:before {
    content: "\f338";
    position: absolute;
    margin-left: -15px;
    margin-top: 10px;
    font-weight: 500;
    font-family: 'Font Awesome 5 Pro';
}

.public .dummyLoginForm .dummyButtonContainer {
    padding: 0;
    display: flex;
    justify-content: center;
}

.public-area .fieldContainer.combo input {
    background-image: linear-gradient(45deg, transparent 50%, #b3b3b3 50%), linear-gradient(135deg, #b3b3b3 50%, transparent 50%), linear-gradient(to right, #b3b3b3, #b3b3b3);
    background-position: calc(100% - 17px) calc(0.7em + 0px), calc(100% - 7px) calc(0.7em + 0px), calc(100% - 2em) 0.3em;
    background-size: 8px 8px, 10px 10px, 1px 1.2em;
    background-repeat: no-repeat;
    padding-right: 40px;
}

.public-area {
    font-size: 1em;
    font-family: 'Roboto', 'Roboto Condensed', sans-serif;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
}

.public-area .loadMessage {
    background-image: url(fogaskerekek.gif);
    background-color: white !important;
    border: 4px solid #146497 !important;
    width: 84px !important;
    height: 84px !important;
    top: 50% !important;
    border-radius: 100px !important;
    padding: 0 !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    font-size: 0 !important;
}

.public-area .dummyButton.save {
    background-color: #ff466c;
    padding: 15px 90px 15px 90px;
    font-weight: 400;
    cursor: pointer;
    border-radius: 25px;
    margin: 0;
}

.public-area .dummyButton:before {
    width: 20px;
    margin: 0;
    font-family: "Font Awesome 5 Pro";
    background-color: transparent;
    padding: 0;
    color: #ffffff;
    font-size: 20px;
    content: "\f002";
}



.public-area body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    max-width: 1240px;
    font-family: system-ui;
    position: relative;
    margin-left: auto !important;
    margin-right: auto !important;
}


.public-area .fejlec {
    height: 70px;
    position: fixed;
    /* background: #149AA1; */
    /* background: #FC354C; */
    background: -webkit-linear-gradient(to left, #0ABFBC, #FC354C);
    /* background: linear-gradient(to left, #0ABFBC, #FC354C); */
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    z-index: 9999;
    box-shadow: 0 15px 15px #fff;
    border-bottom: 10px solid #009748;
    box-sizing: border-box;
    background: #fff;
}

.public-area .clientComponentContainer.client.szirio {
    /*max-width: 95%;*/
    margin-left: auto;
    margin-right: auto;
    /*margin-top: 75px;*/
}

.public-area .nnk {
    color: #4f4c4d;
    background-image: url(nngyk_logo_pfz.svg);
    font-size: clamp(22px, 3.5vw, 36px);
    background-repeat: no-repeat;
    text-align: center;
    background-position: 30px 0px;
    height: 45px;
    background-size: 179px;
    padding: 0 0px 0 210px;
    font-weight: bolder;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.public-area .gridRowCellContainer.html {
    text-wrap: wrap;
    border: none;
    padding: 100px 0 30px 0;
}

.public-area .gridRow.rowSelected .gridRowCellContainer.html {
    background-color: unset;
    color: unset;
}

.public-area .fieldGroupContainer.fieldGroupDefault {
    width: 100%;
}

.public-area .fieldGroupDefault .fieldGroupFields {
    border: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0;
}

.public-area .fieldGroupFields>div {
    width: 15%;
}

.public-area .textFieldType.fieldContainer.text.fullText {
    width: 100%;
}

.public-area .main form.formContainer {
    background-color: #0bbfbc14;
    border: none;
    padding: 25px;
}

.public-area .formComponentContainer.form.main {
    box-shadow: 0 0 20px #00000054;
    border-radius: 20px;
    margin: 20px 0;
}

.public-area .fieldsContainer label {
    font-size: 14px;
    font-weight: 600;
    color: #000;
}

.public-area .fieldsContainer input, .public-area .fieldsContainer select {
    padding: 13px 35px;
    margin: 0;
    border-radius: 50px;
    background-color: #f5f5f5;
    border: 1px solid #ced4da;
}

.public-area  .layoutContent {
    /*display: block;*/
    overflow-y: unset;
    order: 1;
}

.public-area .layoutBottom.panel.DummyPanelComponentContainer.internal.bottom {
    order: 0;
}


.public-area .layoutContent .gridBody {
    display: block;
}


.public-area .layoutContent .gridRow {
/*    display: flex;
    width: 100%;
    flex-wrap: wrap;*/
    padding: 25px 25px 0px 25px;
    margin-bottom: 30px;
    box-shadow: 0 0 20px #00000054;
    border-radius: 20px;
    justify-content: space-between;
}

.public-area .layoutContent .gridRow:nth-child(2n-1) {
    border-right: 2px solid #0cbebb;
    border-bottom: 2px solid #0cbebb;
}

.public-area .layoutContent .gridRow:nth-child(2n) {
    border-right: 2px solid #666;
    border-bottom: 2px solid #666;
}

.public-area .gridScrollContainer {
    overflow: visible;
    border-collapse: collapse;
    flex: 1;
    width: 100%;
}

.public-area .gridTable:not(.arrayEditorContainer .gridTable) {
    content-visibility: unset;
}


.public-area .gridComponentContainer {
    overflow-y: visible;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.public-area .gridTable .rowSelected .gridRowCellContainer, .public-area .rowSelected .formField {
    background-color: unset;
    color: #00578e;
}

.public-area .gridHeaderRow .gridHeaderCellContainer:first-child,
.public-area .gridRow .gridRowCellContainer:first-child,
.public-area .gridHeaderRow .gridHeaderCellContainer,
.public-area .gridRow .gridRowCellContainer {
    border: unset;
}

.public-area .layoutContent .gridRowCellContainer:before {
    content: attr(caption);
    position: absolute;
    margin-top: -20px;
    font-size: 11px;
    font-weight: bold;
    color: #0cbebb;
}


.public-area .gridRowCellContainer.text.nev {
    width: 100%;
    font-weight: bold;
    margin-bottom: 20px;
    font-size: 20px;
}

.public-area .gridRowCellContainer {
    font-size: 1em;
    padding: 0;
    background-color: inherit;
    max-width: unset;
    padding: 5px 10px;
}

.public-area .gridRowCellContainer.text.vezeteknev:before, .public-area .gridRowCellContainer.text.keresztnev:before {
    display:none;
}

.public-area .gridRowCellContainer.text.vezeteknev, .public-area .gridRowCellContainer.text.keresztnev {
    font-size: 23px;
    font-weight: bold;
}

.public-area .layoutContent .gridRow{  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "gridRowCellContainer-text-vezeteknev gridRowCellContainer-text-keresztnev . . . "
    "gridRowCellContainer-combo-tisztifoorvos gridRowCellContainer-combo-igazgatosag gridRowCellContainer-combo-foosztaly gridRowCellContainer-combo-osztaly gridRowCellContainer-text-munkakor "
    "gridRowCellContainer-combo-telephely gridRowCellContainer-combo-epulet gridRowCellContainer-select-emelet gridRowCellContainer-text-ajto . "
    "gridRowCellContainer-tel-fovonaliHivoszam gridRowCellContainer-tel-mellek gridRowCellContainer-tel-mobilszam gridRowCellContainer-tel-mobilszamTovabbi gridRowCellContainer-email";
}

.public-area .layoutContent .gridRow .gridRowCellContainer {
    width: 98%;
    height: fit-content;
}

.public-area .gridRowCellContainer.text.vezeteknev { grid-area: gridRowCellContainer-text-vezeteknev; }

.public-area .gridRowCellContainer.text.keresztnev { grid-area: gridRowCellContainer-text-keresztnev; }

.public-area .gridRowCellContainer.combo.tisztifoorvos { grid-area: gridRowCellContainer-combo-tisztifoorvos; }

.public-area .gridRowCellContainer.combo.igazgatosag { grid-area: gridRowCellContainer-combo-igazgatosag; }

.public-area .gridRowCellContainer.combo.foosztaly { grid-area: gridRowCellContainer-combo-foosztaly; }

.public-area .gridRowCellContainer.combo.osztaly { grid-area: gridRowCellContainer-combo-osztaly; }

.public-area .gridRowCellContainer.text.munkakor { grid-area: gridRowCellContainer-text-munkakor; }

.public-area .gridRowCellContainer.combo.telephely { grid-area: gridRowCellContainer-combo-telephely; }

.public-area .gridRowCellContainer.combo.epulet { grid-area: gridRowCellContainer-combo-epulet; }

.public-area .gridRowCellContainer.select.emelet { grid-area: gridRowCellContainer-select-emelet; }

.public-area .gridRowCellContainer.text.ajto { grid-area: gridRowCellContainer-text-ajto; }

.public-area .gridRowCellContainer.tel.fovonaliHivoszam { grid-area: gridRowCellContainer-tel-fovonaliHivoszam; }

.public-area .gridRowCellContainer.tel.mellek { grid-area: gridRowCellContainer-tel-mellek; }

.public-area .gridRowCellContainer.tel.mobilszam { grid-area: gridRowCellContainer-tel-mobilszam; }

.public-area .gridRowCellContainer.tel.mobilszamTovabbi { grid-area: gridRowCellContainer-tel-mobilszamTovabbi; }

.public-area .gridRowCellContainer.email { grid-area: gridRowCellContainer-email; }

.public-area .emptyValue {
    display: none !important;
}


.public-area .layoutContent .gridRow.rowSelected {
    background-color: #e5e5e5;
}

.public-area .layoutContent .gridRow.rowSelected .gridRowCellContainer {
    background-color: #fff;
}


.public-area .layoutContent .gridRow.rowSelected .gridRowCellContainer:before {
    color: #000;
}


@media screen and (max-width: 1024px) {
.public-area .nnk {
    padding-left:220px;
}
}







/* Publikus felület CSS - END */

/* Administrátori felület CSS - START */

.loggedIn.users.efi .emailFieldType.fieldContainer.email.mukodtetoIntezmenyEFIKapsolattartoEmail input {
    pointer-events: none;
}

.admin-area .fieldGroupFields>div {
    width: 32%;
}

.admin-area .fieldGroupFields {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.admin-area .fieldGroupFields>div.fullwidth {
    width: 100%;
}



.admin-area .formComponentContainer {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    flex: 1;

}

.admin-area .dialog.formComponentContainer.modal.alert.form.alertDialog .formContainer {
    top: 50% !important;
    border-radius: 20px;
    background-color: #fff;
    border: 2px solid #149AA1;
}

.admin-area .fieldContainer select,
.admin-area .fieldContainer.combo input
{
    background-image: linear-gradient(45deg, transparent 50%, #287790 50%), linear-gradient(135deg, #287790 50%, transparent 50%), linear-gradient(to right, #287790, #287790);
    background-position: calc(100% - 20px) calc(1em + -7px), calc(100% - 10px) calc(1em + -7px), calc(100% - 2.4em) 0.3em;
    background-size: 10px 10px, 10px 10px, 1px 1em;
    background-repeat: no-repeat;
}

.admin-area .userViewCaption {
    padding: 10px 10px;
    font-size: 16px;
    background-color: #607d8b;
    margin-bottom: 15px;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    color: #fff;
}

/*.admin-area .userViewCaption:after {
    content: "\f52b";
    font-family: 'Font Awesome 5 Pro';
    font-weight: 400;*/
}

.admin-area .gridRow:nth-child(2n-1) {
    background-color: #607d8b14;
}

.admin-area li.menuItemContainer.internal.hasSubMenu a {
    padding-right: 30px;
}

.admin-area li.menuItemContainer.internal.hasSubMenu ul.menu a:hover {
    background-color: #488e02;
}

.admin-area body.public {
    background: url(szolg_hatter_hu.jpg) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position: left bottom;
}

.admin-area body.loggedIn .bg {
    display: none;
}

.admin-area .gridRowCellContainer.html {
    text-wrap: wrap;
}

.admin-area li.menuItemContainer.internal.Kijelentkezés a {
    font-size: 0px;
}

.admin-area .Kijelentkezés a:before {
    content: "\f52b";
    font-family: 'Font Awesome 5 Pro';
    font-size: 16px;
}

.admin-area .hasSubMenu>ul.menu {
    width: fit-content !important;
    text-wrap: nowrap;
}

.admin-area .formCaption {
    font-size: 35px;
    font-weight: 100;
    text-align: center;
    margin-bottom: 0px;
}

.admin-area .loggedIn form.formContainer {
    z-index: 10;
    background-color: #fff;
    box-shadow: 0 0 10px #000;
}

.admin-area .dropDownMenu {
    position: fixed;
    min-width: 250px;
    border: 1px solid #165db0;
    max-height: 300px;
    overflow-x: auto;
    background-color: rgb(230, 230, 230);
    z-index: 11;
    padding: 10px 10px;
    border-radius: 0 0 20px 20px;
    box-shadow: 0 0 10px #00000078;
    margin-top: -2px;
}

.admin-area .dropDownItem {
    position: relative;
    padding: 10px 10px;
    background-color: white;
    word-break: break-word;
    font-size: 14px;
}

.admin-area .loadMessage {
    background-image: url(fogaskerekek.gif);
    background-color: white !important;
    border: 4px solid #165cb1 !important;
    width: 84px !important;
    height: 84px !important;
    top: 50% !important;
    border-radius: 100px !important;
    padding: 0 !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    font-size: 0 !important;
}

.admin-area .dialog.modal:before {
    position: fixed;
    left: 0;
    top: 0;
    background: #ffffff78;
    right: 0;
    bottom: 0;
    content: "";
    z-index: 2;
}

.admin-area .loginForm form.formContainer {
    background-color: #fff;
    background-image: url(efi.png);
    background-size: 150px;
    background-repeat: no-repeat;
    padding: 170px 15px 25px 15px;
    background-position: center 20px;
    border: 3px solid #478e02;
    box-shadow: 0 0 10px #000;
}

.admin-area .public .nnk {
    background-image: url(nngyk_logo_pfz.svg);
    height: 75px;
    width: 100%;
    position: absolute;
    background-color: #ffffffcf;
    top: 5%;
    border-bottom: 10px solid #42b760;
    background-size: auto 45px;
    background-position: 30px 10px;
    background-repeat: no-repeat;
    text-align: center;
    font-size: 24px;
    padding-top: 19px;
    color: #383938;
    font-weight: bold;
    font-family: Quicksand;
}

.admin-area .layoutTop {
background: rgb(71,142,2);
background: linear-gradient(270deg, #60888b 0%, #83a8b9 100%);
    }

.admin-area .menuContainer {
    color: #fff;
    margin-block-start: 0;
    margin-block-end: 0;
    padding: 65px 0px 50px 0px;
    position: relative;
    z-index: 5;
    display: flex;
    flex-wrap: wrap;
    background-color: transparent;
    max-width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.admin-area .menuContainer ul.menu {
    height: auto;
    width: fit-content;
    background: #111;
    position: absolute;
    z-index: 5;
    display: none;
    border: 0;
    isolation: auto;
}

.admin-area .menuContainer a {
    display: block;
    line-height: 35px;
    padding: 0 12px;
    text-decoration: none;
    cursor: default;
    font-weight: 400;
    text-transform: none;
    font-size: 16px;
}

.admin-area .menuContainer li:hover > a, .admin-area .menuContainer li a:hover {
    background: #11111178;
}

.admin-area .hasSubMenu .menu .menuActive {
    border: none;
    background-color: #fda725;
}

.admin-area .menuActive {
    background-color: unset;
    color: unset;
    border-bottom: 2px solid #fff;
}

.admin-area .loggedIn .layoutTop.panel.menuComponentContainer.menu.top:before {
    content: "NNGYK EFI Admin";
    position: absolute;
    z-index: 4;
    background-image: url(nngyk_logo_pfz.svg);
    height: 50px;
    width: 100%;
    background-size: auto 50px;
    background-repeat: no-repeat;
    font-size: 26px;
    text-align: center;
    box-sizing: border-box;
    color: #fff;
    margin: 10px 44px;
    line-height: 56px;
    font-weight: 400;
    /*filter: grayscale(1) brightness(2);*/
}

.admin-area .layoutComponentContainer.layout.main>.layoutContent {
    margin-top: -40px;
    z-index: 4;
    background-color: #ffffff;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 0 20px #00000054;
    padding: 20px 15px;
    border-radius: 20px;
    margin-bottom: 20px;
}


.admin-area .dummyToolbarButtonContainer {
    border-radius: 4px;
    background-color: #9a9a9a;
    display: inline-block;
    cursor: pointer;
    color: #fff;
    padding: 7px 8px 5px 30px;
    text-decoration: none;
    margin: 4px 3px;
    font-weight: 100;
    text-transform: uppercase;
    overflow: hidden;
    white-space: nowrap;
    flex: auto;
    text-overflow: ellipsis;
    font-size: 13px;
    line-height: 175%;
}   

.admin-area .dummyToolbarButtonContainer:before {
    margin: 0px 7px 0px -35px;
    font-family: "Font Awesome 5 Pro";
    background-color: #737373;
    padding: 9px 11px 9px 15px;
    color: #fff;
    font-size: 20px;
    line-height: 117%;
}

.admin-area .dummyButton {
    border-radius: 4px;
    color: #fff;
    padding: 10px 20px 10px 30px;
    line-height: 1.3em;
    font-weight: 400;
    text-decoration: none;
    text-transform: uppercase;
    vertical-align: middle;
    border: none;
    overflow: hidden;
    margin: 4px 3px;
    font-family: inherit;
}

.admin-area .dummyButton:before {
    width: 20px;
    margin: 0px 15px 0px -30px;
    font-family: "Font Awesome 5 Pro";
    background-color: #0000004d;
    padding: 15px 15px 16px 15px;
    color: #fff;
    font-size: 20px;
}

.admin-area .formField {
    background: transparent;
    width: -webkit-fill-available;
    box-sizing: border-box;
    border: 1px solid #287790;
    font-family: inherit;
    font-size: 16px;
    margin-bottom: 5px;
    margin-top: 3px;
    border-radius: 1px;
}

.admin-area select.formField {
    padding: 4px 4px;
    -webkit-padding-start: 5px;
    -webkit-padding-end: 4px;
    -webkit-appearance: none;
    /* -webkit-border-radius: 0; */
}

.admin-area .fieldContainer {
    margin-bottom: 15px;
}


.admin-area .tagContainer {
    display: flex;
    background: #0b6794;
    border: 1px solid;
    border-radius: 4px;
    margin-right: 15px;
    padding: 8px;
    color: #fff;
}

.admin-area .formContainer {
    padding: 20px 15px 0 15px;
    background-color: transparent;
    border: 1px solid #759ba7;
}

.admin-area .alertDialog form.formContainer {
    background-color: white;
}

.admin-area .gridHeaderCellContainer {
    background-color: #607D8B;
}

.admin-area .gridHeaderCell:first-child {
    font-weight: 400;
    color: #fff;
    text-transform: unset;
}

.admin-area .gridHeaderCell {
    vertical-align: middle;
    text-align: center;
    height: 100%;
    padding: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    min-width: 75px;
    font-size: 16px;
}

.admin-area .gridTable {
    margin-top: 15px;
}

.admin-area .gridRow {
    display: table-row;
    background-color: #ffffff;
    font-size: 16px;
}

.admin-area .gridTable .rowSelected .gridRowCellContainer, .admin-area .rowSelected .formField {
    background-color: #aa4a57;
    color: #fff;
}

.admin-area .fieldGroupDefault .fieldGroupFields {
    background-color: #e6f2f6;
    padding: 25px 15px;
    border: 1px solid #759ba7;
    border-radius: 10px;
}

.admin-area .fieldGroupDefault .fieldGroupFields .fieldGroupFields {
    background-color: #bfd6dd;
    padding-bottom: 10px !important;
}

.admin-area .fieldGroupFields input, .fieldGroupFields .formField {
    background-color: #fff;
}

.admin-area .fieldGroupFields .readonly {
    color: #999999;
}

.admin-area .layoutContent .dummyButtonContainer {
    position: sticky;
    bottom: 0;
    background-color: #fff;
    border-top: 1px solid #759ba7;
    margin-bottom: 10px;
    padding-top: 10px;
}

.admin-area .dummyWindow {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #ffffff;
    border: 2px solid #3b352e;
    z-index: 3;
    padding: 15px;
    border-radius: 4px;
    overflow: auto;
}

.admin-area .userViewView {
    font-size: 16px;
}

.admin-area .userViewDelete:before {
    content: "\f1f8";
    background-color: #d9534f;
    color: #fff;
    height: 26px;
    width: 26px;
    display: flex;
    border-radius: 100px;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-right: 15px;
}

.admin-area .fieldGroupCaption {
    font-size: 1.5em;
    padding: 0;
    margin: 30px 0 5px 11px;
    font-weight: bold;
    cursor: pointer;
    color: #277791;
}


.admin-area .fieldGroupFields .fieldGroupCaption {
    margin-top: 10px;
}


.admin-area .fieldGroupContainer .fieldGroupCaption:after {
    content: "\f31e";    
    margin-left: 15px;
    font-family: 'Font Awesome 5 Pro';
}

.admin-area .fieldGroupContainer .fieldGroupCaption.hiddenToggle:after {
    content: "\f78c";
    font-family: 'Font Awesome 5 Pro';
}



.admin-area .fieldGroupContainer .fieldGroupContainer .fieldGroupCaption:after {
    content: "\f78c";
    margin-left: 15px;
    font-family: 'Font Awesome 5 Pro';
}

.admin-area .fieldGroupContainer .fieldGroupContainer .fieldGroupCaption.hiddenToggle:after {
    content: "\f31e";
    font-family: 'Font Awesome 5 Pro';
}


.admin-area .fieldGroupContainer.fieldGroupContaineradatok.fieldGroupDefault {
    margin-bottom: 0;
}



.admin-area .fieldGroupDefault {
    margin-bottom: 30px;
}

.admin-area .layoutContent .dialog .dummyButtonContainer {
    position: relative;
}

.admin-area .gridScrollContainer {
    margin-bottom: 40px;
}

.admin-area input.tagInput[type=file] {
    
}

.admin-area input.tagInput[type=file]::file-selector-button {
    background-color: #9352d0;
    color: transparent;
    border: none;
    background-image: url('data:image/svg+xml,<svg style="color: white" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" viewBox="0 0 24 24"><path d="M18,9h-2c-0.6,0-1,0.4-1,1s0.4,1,1,1h2c0.6,0,1,0.4,1,1v7c0,0.6-0.4,1-1,1H6c-0.6,0-1-0.4-1-1v-7c0-0.6,0.4-1,1-1h2c0.6,0,1-0.4,1-1S8.6,9,8,9H6c-1.7,0-3,1.3-3,3v7c0,1.7,1.3,3,3,3h12c1.7,0,3-1.3,3-3v-7C21,10.3,19.7,9,18,9z M9.7,6.7L11,5.4V17c0,0.6,0.4,1,1,1h0c0.6,0,1-0.4,1-1V5.4l1.3,1.3C14.5,6.9,14.7,7,15,7c0.3,0,0.5-0.1,0.7-0.3c0.4-0.4,0.4-1,0-1.4l-3-3c0,0,0,0,0,0c-0.4-0.4-1-0.4-1.4,0l-3,3c-0.4,0.4-0.4,1,0,1.4C8.7,7.1,9.3,7.1,9.7,6.7z" fill="white"></path></svg>');
    background-repeat: no-repeat;
    padding: 0 0;
    width: 26px;
    text-align: center;
    height: 26px;
    border-radius: 21px;
    background-size: 16px;
    background-position: 5px 4px;
}

.admin-area .clearValue {
    display: flex;
    background-color: #dbdbdb;
    pointer-events: none;
    cursor: not-allowed;
    color: #9d9d9d;
}

.admin-area .tagValue a {
    color: #fff;
    text-decoration: none;
    margin-right: 20px;
}

.admin-area .detailInsert, .detailEdit, .clearValue {
    color: #fff;
    border-radius: 100px;
    width: 26px;
    height: 26px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    margin-top: -7px;
    margin-right: 5px;
}

.admin-area .gridRow .detailInsert, .gridRow .detailEdit, .gridRow .clearValue {
        margin-top: 0px;
}

.admin-area .detailInsert {
    background-color: green;
}

.admin-area .detailEdit {
    background-color: orange;
}

.admin-area .clearValue {
    background-color: #d9534f;
}

/* Administrátori felület CSS - END */






@media (max-width: 730px) {
    
    
    .public img.logo-image {
        height: 35px !important;
        background-color: #fff;
        padding: 0px 10px;
    }
    
    .public .title-text {
        color: #146497;
        font-weight: 600;
        font-size: 24px;
        padding-bottom: 0px;
        margin-top: -13px;
    }

.public .topbar {
    background-image: url(header_bg.png);
    background-repeat: no-repeat;
    background-size: 100% 40px;
    background-position: 0 7px;
    margin: 10px 0px 10px 0px;
    width: 100%;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
  /*  touch-action: manipulation;*/
}

.public .layoutMain.panel.leafletComponentContainer.leaflet.main {
    min-height: 400px;
}

.public .layoutContainer, .public .layoutComponentContainer {
    display: flex;
    flex-direction: column;
    height: unset;
    min-height: 400px;
}

.public-area .dummyButton.save {
    background-color: #ff466c;
    padding: 15px 35px 15px 35px;
    font-weight: 400;
    cursor: pointer;
    border-radius: 25px;
    margin: 0;
}

.public .formComponentContainer.efiKereso.form.top form.formContainer {
    padding: 15px 5px;
}


}

@media (max-width: 430px) {
    
    
    .public img.logo-image {
        height: 25px !important;
        background-color: #fff;
        padding: 0px 10px;
    }
    
    .public .title-text {
        color: #146497;
        font-weight: 600;
        font-size: 18px;
        padding-bottom: 0px;
        margin-top: -13px;
    }

    .public .topbar {
        background-image: url(header_bg.png);
        background-repeat: no-repeat;
        background-size: 100% 28px;
        background-position: 0 7px;
        margin: 10px 0px 10px 0px;
        width: 100%;
    }

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
    touch-action: manipulation;
}



































